using System;
class HelloWorld
{
    static void Main()
    {
        string [] ulaz = Console.ReadLine().Split(' ');
        int a = int.Parse(ulaz[0]);
        int b = int.Parse(ulaz[1]);
        
        ulaz = Console.ReadLine().Split(' ');
        int x = int.Parse(ulaz[0]);
        int y = int.Parse(ulaz[1]);
        
        int dodatno1 = a-x;
        int dodatno2 = b-y;
        
        if(dodatno1 == 0 && dodatno2 == 0)
        {
            Console.WriteLine("nijedan");
        }
        else if (dodatno1 == 0 && dodatno2 > 0)
        {
            Console.WriteLine("drugi");
        }
        else if (dodatno1 > 0 && dodatno2 == 0)
        {
            Console.WriteLine("prvi");
        }
        else
        {
            Console.WriteLine("?");
        }
    }
}